############################################################
#
# type definition pro_declaration_component_gridmapdir
#
# RESPONSIBLE: Charles Loomis <charles.loomis@cern.ch>
#
# AUTHOR: Charles Loomis <charles.loomis@cern.ch>
#
# VERSION : 0.0.5
#
############################################################

declaration template pro_declaration_component_gridmapdir;

include pro_declaration_structures;

define type component_gridmapdir = {
	include structure_component
	"gridmapdir"       : string 
	"poolaccounts"     : long{} with {ok = first(self,k,v);
                                          while (ok) {
                                            if (v<=0) {
                                              return(false);
                                            };
                                            ok = next(self,k,v);
                                          };
                                          return(true);
                                         } 
};

type "/software/components/gridmapdir" = component_gridmapdir;
